libepubgen::EPUBPagedGenerator Class Reference documentation

Classes | Public Member Functions | Private Attributes | List of all members
libepubgen::EPUBPagedGenerator Class Reference

`#include <EPUBPagedGenerator.h>`

Inheritance diagram for libepubgen::EPUBPagedGenerator:

## Classes
class | Impl

## Public Member Functions
| EPUBPagedGenerator (EPUBPackage *package, int version)
void | setSplitMethod (EPUBSplitMethod split)
void | setSplitHeadingLevel (unsigned level)
void | setSplitSize (unsigned size)
void | startDocument (const librevenge::RVNGPropertyList &propList) override
void | endDocument () override
void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList) override
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList) override
void | startSlide (const librevenge::RVNGPropertyList &propList) override
void | endSlide () override
void | startMasterSlide (const librevenge::RVNGPropertyList &propList) override
void | endMasterSlide () override
void | setStyle (const librevenge::RVNGPropertyList &propList) override
void | setSlideTransition (const librevenge::RVNGPropertyList &propList) override
void | startLayer (const librevenge::RVNGPropertyList &propList) override
void | endLayer () override
void | startEmbeddedGraphics (const librevenge::RVNGPropertyList &propList) override
void | endEmbeddedGraphics () override
void | openGroup (const librevenge::RVNGPropertyList &propList) override
void | closeGroup () override
void | drawRectangle (const librevenge::RVNGPropertyList &propList) override
void | drawEllipse (const librevenge::RVNGPropertyList &propList) override
void | drawPolygon (const librevenge::RVNGPropertyList &propList) override
void | drawPolyline (const librevenge::RVNGPropertyList &propList) override
void | drawPath (const librevenge::RVNGPropertyList &propList) override
void | drawGraphicObject (const librevenge::RVNGPropertyList &propList) override
void | drawConnector (const librevenge::RVNGPropertyList &propList) override
void | startTextObject (const librevenge::RVNGPropertyList &propList) override
void | endTextObject () override
void | insertTab () override
void | insertSpace () override
void | insertText (const librevenge::RVNGString &text) override
void | insertLineBreak () override
void | insertField (const librevenge::RVNGPropertyList &propList) override
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList) override
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList) override
void | closeOrderedListLevel () override
void | closeUnorderedListLevel () override
void | openListElement (const librevenge::RVNGPropertyList &propList) override
void | closeListElement () override
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList) override
void | openParagraph (const librevenge::RVNGPropertyList &propList) override
void | closeParagraph () override
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList) override
void | openSpan (const librevenge::RVNGPropertyList &propList) override
void | closeSpan () override
void | openLink (const librevenge::RVNGPropertyList &propList) override
void | closeLink () override
void | startTableObject (const librevenge::RVNGPropertyList &propList) override
void | openTableRow (const librevenge::RVNGPropertyList &propList) override
void | closeTableRow () override
void | openTableCell (const librevenge::RVNGPropertyList &propList) override
void | closeTableCell () override
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList) override
void | endTableObject () override
void | startComment (const librevenge::RVNGPropertyList &propList) override
void | endComment () override
void | startNotes (const librevenge::RVNGPropertyList &propList) override
void | endNotes () override
void | defineChartStyle (const librevenge::RVNGPropertyList &propList) override
void | openChart (const librevenge::RVNGPropertyList &propList) override
void | closeChart () override
void | openChartTextObject (const librevenge::RVNGPropertyList &propList) override
void | closeChartTextObject () override
void | openChartPlotArea (const librevenge::RVNGPropertyList &propList) override
void | closeChartPlotArea () override
void | insertChartAxis (const librevenge::RVNGPropertyList &propList) override
void | openChartSeries (const librevenge::RVNGPropertyList &propList) override
void | closeChartSeries () override
void | openAnimationSequence (const librevenge::RVNGPropertyList &propList) override
void | closeAnimationSequence () override
void | openAnimationGroup (const librevenge::RVNGPropertyList &propList) override
void | closeAnimationGroup () override
void | openAnimationIteration (const librevenge::RVNGPropertyList &propList) override
void | closeAnimationIteration () override
void | insertMotionAnimation (const librevenge::RVNGPropertyList &propList) override
void | insertColorAnimation (const librevenge::RVNGPropertyList &propList) override
void | insertAnimation (const librevenge::RVNGPropertyList &propList) override
void | insertEffect (const librevenge::RVNGPropertyList &propList) override

## Private Attributes
std::shared_ptr< Impl > | m_impl

## Constructor & Destructor Documentation

## ◆ EPUBPagedGenerator()

libepubgen::EPUBPagedGenerator::EPUBPagedGenerator | ( | EPUBPackage * | package,
|  | int | version
| ) |  |

## Member Function Documentation

## ◆ closeAnimationGroup()

void libepubgen::EPUBPagedGenerator::closeAnimationGroup | ( |  | ) |
| override

## ◆ closeAnimationIteration()

void libepubgen::EPUBPagedGenerator::closeAnimationIteration | ( |  | ) |
| override

## ◆ closeAnimationSequence()

void libepubgen::EPUBPagedGenerator::closeAnimationSequence | ( |  | ) |
| override

## ◆ closeChart()

void libepubgen::EPUBPagedGenerator::closeChart | ( |  | ) |
| override

## ◆ closeChartPlotArea()

void libepubgen::EPUBPagedGenerator::closeChartPlotArea | ( |  | ) |
| override

## ◆ closeChartSeries()

void libepubgen::EPUBPagedGenerator::closeChartSeries | ( |  | ) |
| override

## ◆ closeChartTextObject()

void libepubgen::EPUBPagedGenerator::closeChartTextObject | ( |  | ) |
| override

## ◆ closeGroup()

void libepubgen::EPUBPagedGenerator::closeGroup | ( |  | ) |
| override

## ◆ closeLink()

void libepubgen::EPUBPagedGenerator::closeLink | ( |  | ) |
| override

## ◆ closeListElement()

void libepubgen::EPUBPagedGenerator::closeListElement | ( |  | ) |
| override

## ◆ closeOrderedListLevel()

void libepubgen::EPUBPagedGenerator::closeOrderedListLevel | ( |  | ) |
| override

## ◆ closeParagraph()

void libepubgen::EPUBPagedGenerator::closeParagraph | ( |  | ) |
| override

## ◆ closeSpan()

void libepubgen::EPUBPagedGenerator::closeSpan | ( |  | ) |
| override

## ◆ closeTableCell()

void libepubgen::EPUBPagedGenerator::closeTableCell | ( |  | ) |
| override

## ◆ closeTableRow()

void libepubgen::EPUBPagedGenerator::closeTableRow | ( |  | ) |
| override

## ◆ closeUnorderedListLevel()

void libepubgen::EPUBPagedGenerator::closeUnorderedListLevel | ( |  | ) |
| override

## ◆ defineCharacterStyle()

void libepubgen::EPUBPagedGenerator::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineChartStyle()

void libepubgen::EPUBPagedGenerator::defineChartStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineEmbeddedFont()

void libepubgen::EPUBPagedGenerator::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ defineParagraphStyle()

void libepubgen::EPUBPagedGenerator::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawConnector()

void libepubgen::EPUBPagedGenerator::drawConnector | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawEllipse()

void libepubgen::EPUBPagedGenerator::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawGraphicObject()

void libepubgen::EPUBPagedGenerator::drawGraphicObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPath()

void libepubgen::EPUBPagedGenerator::drawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPolygon()

void libepubgen::EPUBPagedGenerator::drawPolygon | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawPolyline()

void libepubgen::EPUBPagedGenerator::drawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ drawRectangle()

void libepubgen::EPUBPagedGenerator::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ endComment()

void libepubgen::EPUBPagedGenerator::endComment | ( |  | ) |
| override

## ◆ endDocument()

void libepubgen::EPUBPagedGenerator::endDocument | ( |  | ) |
| override

## ◆ endEmbeddedGraphics()

void libepubgen::EPUBPagedGenerator::endEmbeddedGraphics | ( |  | ) |
| override

## ◆ endLayer()

void libepubgen::EPUBPagedGenerator::endLayer | ( |  | ) |
| override

## ◆ endMasterSlide()

void libepubgen::EPUBPagedGenerator::endMasterSlide | ( |  | ) |
| override

## ◆ endNotes()

void libepubgen::EPUBPagedGenerator::endNotes | ( |  | ) |
| override

## ◆ endSlide()

void libepubgen::EPUBPagedGenerator::endSlide | ( |  | ) |
| override

## ◆ endTableObject()

void libepubgen::EPUBPagedGenerator::endTableObject | ( |  | ) |
| override

## ◆ endTextObject()

void libepubgen::EPUBPagedGenerator::endTextObject | ( |  | ) |
| override

## ◆ insertAnimation()

void libepubgen::EPUBPagedGenerator::insertAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertChartAxis()

void libepubgen::EPUBPagedGenerator::insertChartAxis | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertColorAnimation()

void libepubgen::EPUBPagedGenerator::insertColorAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertCoveredTableCell()

void libepubgen::EPUBPagedGenerator::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertEffect()

void libepubgen::EPUBPagedGenerator::insertEffect | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertField()

void libepubgen::EPUBPagedGenerator::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertLineBreak()

void libepubgen::EPUBPagedGenerator::insertLineBreak | ( |  | ) |
| override

## ◆ insertMotionAnimation()

void libepubgen::EPUBPagedGenerator::insertMotionAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ insertSpace()

void libepubgen::EPUBPagedGenerator::insertSpace | ( |  | ) |
| override

## ◆ insertTab()

void libepubgen::EPUBPagedGenerator::insertTab | ( |  | ) |
| override

## ◆ insertText()

void libepubgen::EPUBPagedGenerator::insertText | ( | const librevenge::RVNGString & | text | ) |
| override

## ◆ openAnimationGroup()

void libepubgen::EPUBPagedGenerator::openAnimationGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openAnimationIteration()

void libepubgen::EPUBPagedGenerator::openAnimationIteration | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openAnimationSequence()

void libepubgen::EPUBPagedGenerator::openAnimationSequence | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openChart()

void libepubgen::EPUBPagedGenerator::openChart | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openChartPlotArea()

void libepubgen::EPUBPagedGenerator::openChartPlotArea | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openChartSeries()

void libepubgen::EPUBPagedGenerator::openChartSeries | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openChartTextObject()

void libepubgen::EPUBPagedGenerator::openChartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openGroup()

void libepubgen::EPUBPagedGenerator::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openLink()

void libepubgen::EPUBPagedGenerator::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openListElement()

void libepubgen::EPUBPagedGenerator::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openOrderedListLevel()

void libepubgen::EPUBPagedGenerator::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openParagraph()

void libepubgen::EPUBPagedGenerator::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openSpan()

void libepubgen::EPUBPagedGenerator::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTableCell()

void libepubgen::EPUBPagedGenerator::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTableRow()

void libepubgen::EPUBPagedGenerator::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openUnorderedListLevel()

void libepubgen::EPUBPagedGenerator::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ setDocumentMetaData()

void libepubgen::EPUBPagedGenerator::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ setSlideTransition()

void libepubgen::EPUBPagedGenerator::setSlideTransition | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ setSplitHeadingLevel()

void libepubgen::EPUBPagedGenerator::setSplitHeadingLevel | ( | unsigned | level | ) |

## ◆ setSplitMethod()

void libepubgen::EPUBPagedGenerator::setSplitMethod | ( | EPUBSplitMethod | split | ) |

## ◆ setSplitSize()

void libepubgen::EPUBPagedGenerator::setSplitSize | ( | unsigned | size | ) |

## ◆ setStyle()

void libepubgen::EPUBPagedGenerator::setStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startComment()

void libepubgen::EPUBPagedGenerator::startComment | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startDocument()

void libepubgen::EPUBPagedGenerator::startDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startEmbeddedGraphics()

void libepubgen::EPUBPagedGenerator::startEmbeddedGraphics | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startLayer()

void libepubgen::EPUBPagedGenerator::startLayer | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startMasterSlide()

void libepubgen::EPUBPagedGenerator::startMasterSlide | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startNotes()

void libepubgen::EPUBPagedGenerator::startNotes | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startSlide()

void libepubgen::EPUBPagedGenerator::startSlide | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startTableObject()

void libepubgen::EPUBPagedGenerator::startTableObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ startTextObject()

void libepubgen::EPUBPagedGenerator::startTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## Member Data Documentation

## ◆ m_impl

std::shared_ptr<Impl> libepubgen::EPUBPagedGenerator::m_impl
| private

Referenced by closeLink(), closeListElement(), closeOrderedListLevel(), closeParagraph(), closeSpan(), closeTableCell(), closeTableRow(), closeUnorderedListLevel(), defineCharacterStyle(), defineParagraphStyle(), endDocument(), endTableObject(), endTextObject(), libepubgen::EPUBDrawingGenerator::Impl::Impl(), libepubgen::EPUBPresentationGenerator::Impl::Impl(), insertCoveredTableCell(), insertField(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openLink(), openListElement(), openOrderedListLevel(), openParagraph(), openSpan(), openTableCell(), openTableRow(), openUnorderedListLevel(), setDocumentMetaData(), setSplitHeadingLevel(), setSplitMethod(), setSplitSize(), startDocument(), startSlide(), startTableObject(), and startTextObject().

The documentation for this class was generated from the following files:

- EPUBPagedGenerator.h
- EPUBPagedGenerator.cpp